//------------------------------------------------------------------------------
#ifndef _TEXTIDS_H__
#define __TEXTIDS_H__
//------------------------------------------------------------------------------
#include <stdlib.h>
//------------------------------------------------------------------------------
typedef enum
{
    LANG_ENGLISH = 0,
    LANG_CHINESE = 1,
    LANG_GERMAN = 2,
    LANG_FRENCH = 3,
    LANG_PORTUGUESE = 4,
    LANG_SPANISH = 5,
    LANG_RUSSIAN = 6,
    LANG_JAPANESE = 7,
    LANG_ITALIAN = 8,
    LANG_CZECH = 9,
    LANG_LAST_LANGUAGE
}LangID_t;

typedef enum
{
    TextID_NULL = 0,
    TextID_EMPTY_ = 1,
    TextID_Unknown = 2,
    TextID_Yes = 3,
    TextID_No = 4,
    TextID_OK = 5,
    TextID_Cance = 6,
    TextID_Enable = 7,
    TextID_Disable = 8,
    TextID_ON = 9,
    TextID_OFF = 10,
    TextID_Auto = 11,
    TextID_None = 12,
    TextID_Master = 13,
    TextID_Slave = 14,
    TextID_Seconds = 15,
    TextID_Minutes = 16,
    TextID_Hours = 17,
    TextID_Days = 18,
    TextID__sec = 19,
    TextID__min = 20,
    TextID__hour = 21,
    TextID__day = 22,
    TextID_0 = 23,
    TextID_1 = 24,
    TextID_2 = 25,
    TextID_3 = 26,
    TextID_4 = 27,
    TextID_5 = 28,
    TextID_6 = 29,
    TextID_7 = 30,
    TextID_8 = 31,
    TextID_9 = 32,
    TextID_10 = 33,
    TextID_11 = 34,
    TextID_12 = 35,
    TextID_13 = 36,
    TextID_14 = 37,
    TextID_15 = 38,
    TextID_16 = 39,
    TextID_17 = 40,
    TextID_18 = 41,
    TextID_19 = 42,
    TextID_20 = 43,
    TextID_21 = 44,
    TextID_22 = 45,
    TextID_23 = 46,
    TextID_24 = 47,
    TextID_25 = 48,
    TextID_26 = 49,
    TextID_27 = 50,
    TextID_28 = 51,
    TextID_29 = 52,
    TextID_30 = 53,
    TextID_31 = 54,
    TextID_32 = 55,
    TextID_33 = 56,
    TextID_34 = 57,
    TextID_35 = 58,
    TextID_36 = 59,
    TextID_37 = 60,
    TextID_38 = 61,
    TextID_39 = 62,
    TextID_40 = 63,
    TextID_41 = 64,
    TextID_42 = 65,
    TextID_43 = 66,
    TextID_44 = 67,
    TextID_45 = 68,
    TextID_46 = 69,
    TextID_47 = 70,
    TextID_48 = 71,
    TextID_49 = 72,
    TextID_50 = 73,
    TextID_51 = 74,
    TextID_52 = 75,
    TextID_53 = 76,
    TextID_54 = 77,
    TextID_55 = 78,
    TextID_56 = 79,
    TextID_57 = 80,
    TextID_58 = 81,
    TextID_59 = 82,
    TextID_60 = 83,
    TextID_61 = 84,
    TextID_62 = 85,
    TextID_63 = 86,
    TextID_64 = 87,
    TextID_65 = 88,
    TextID_66 = 89,
    TextID_67 = 90,
    TextID_68 = 91,
    TextID_69 = 92,
    TextID_70 = 93,
    TextID_71 = 94,
    TextID_72 = 95,
    TextID_73 = 96,
    TextID_74 = 97,
    TextID_75 = 98,
    TextID__5s = 99,
    TextID_Connection_status = 100,
    TextID_Device_name = 101,
    TextID_Device_address = 102,
    TextID_Pairing_password = 103,
    TextID_Connected = 104,
    TextID_Disconnected = 105,
    TextID_IPv4_address = 106,
    TextID_Subnet_mask = 107,
    TextID_Gateway_address = 108,
    TextID_IPv6_address_Static = 109,
    TextID_IPv6_address_Auto = 110,
    TextID_IPv6_address_Link = 111,
    TextID_MAC_address = 112,
    TextID_Product_type = 113,
    TextID_Monitor_Boot_FW_version = 114,
    TextID_Monitor_FW_version = 115,
    TextID_Inverter_FW_version = 116,
    TextID_Rectifier_FW_version = 117,
    TextID_DSP_FW_version = 118,
    TextID_Serial_number = 119,
    TextID_Time_since_startup = 120,
    TextID_Service_expiration_date = 121,
    TextID_Emerson_service_hotline = 122,
    TextID_Product = 123,
    TextID_Network = 124,
    TextID_Bluetooth = 125,
    TextID_Efficiency = 126,
    TextID_Turn_ON_OFF_to_BYPASS = 127,
    TextID_Mute_Unmute_audible_alarm = 128,
    TextID_Battery_test = 129,
    TextID_Clear_faults = 130,
    TextID_Clear_faults_ = 131,
    TextID_Restore_factory_defaults = 132,
    TextID_Power_on_time = 133,
    TextID_Power_off_time = 134,
    TextID_Current = 135,
    TextID_History = 136,
    TextID_Status = 137,
    TextID_Settings = 138,
    TextID_Control = 139,
    TextID_Log = 140,
    TextID_About = 141,
    TextID_Service = 142,
    TextID_Maintenance = 143,
    TextID_Notify = 144,
    TextID_System_test_finished = 145,
    TextID_everything_is_OK = 146,
    TextID_Battery_test_abort = 147,
    TextID_Condition_is_not_met = 148,
    TextID_Batt_refresh_chg_abort = 149,
    TextID_This_item_can_only_be_set = 150,
    TextID_in_standby_mode = 151,
    TextID_On_manual_bypass = 152,
    TextID_cant_turn_off_the_load = 153,
    TextID_Startup_voltage_abnormal = 154,
    TextID_check_input_voltage = 155,
    TextID_Output_is_forbidden = 156,
    TextID_Code_error = 157,
    TextID_please_input_again = 158,
    TextID_Sys_settings_inconsistent = 159,
    TextID_please_check = 160,
    TextID_Cannot_set_this_online = 161,
    TextID_please_shutdown_output = 162,
    TextID_Please_unplug_REPO = 163,
    TextID_Check_cable_connection = 164,
    TextID_Turn_off_UPS_totally = 165,
    TextID_Confirm = 166,
    TextID_Turn_on_UPS_ = 167,
    TextID_Turn_on_UPS = 168,
    TextID_Turn_off_inverter_ = 169,
    TextID_Turn_off_inverter = 170,
    TextID_Turn_off_UPS_ = 171,
    TextID_Turn_off_UPS = 172,
    TextID_Turn_to_bypass = 173,
    TextID_Turn_to_bypass_ = 174,
    TextID_Battery_will_be_depleted = 175,
    TextID_Stop_test = 176,
    TextID_Check_output_settings = 177,
    TextID_Check_now = 178,
    TextID_New_alarm_present = 179,
    TextID_Show_log = 180,
    TextID_Reset_to_factory = 181,
    TextID_Start_battery_test_ = 182,
    TextID_Start_battery_test = 183,
    TextID_Stop_battery_test_ = 184,
    TextID_Stop_battery_test = 185,
    TextID_Start_Stop_battery_manual_test = 186,
    TextID_Start_Stop_battery_maintaining_test = 187,
    TextID_Manual_test = 188,
    TextID_Maintaining_test = 189,
    TextID_Start_manual_test_ = 190,
    TextID_Start_maintaining_test_ = 191,
    TextID_Start_equalize_charge = 192,
    TextID_Start_equalize_charge_ = 193,
    TextID_Stop_equalize_charge = 194,
    TextID_Stop_equalize_charge_ = 195,
    TextID_Equalize_charge = 196,
    TextID_Equalize_charge_abort = 197,
    TextID_Are_you_sure_to_change = 198,
    TextID_the_input_dry_function_ = 199,
    TextID_Option = 200,
    TextID_Show_test_result = 201,
    TextID_Sync_paral_params = 202,
    TextID_UnSync_paral_params = 203,
    TextID_Clear_log = 204,
    TextID_Battery_type = 205,
    TextID_Lead_acid = 206,
    TextID_Lithium_iron = 207,
    TextID_Nickel_cad = 208,
    TextID_External_battery_cabinet_group_No_ = 209,
    TextID_AutoTest = 210,
    TextID_Battery_test_interval = 211,
    TextID_8_weeks = 212,
    TextID_12_weeks = 213,
    TextID_16_weeks = 214,
    TextID_20_weeks = 215,
    TextID_26_weeks = 216,
    TextID_Battery_test_weekday = 217,
    TextID_Monday = 218,
    TextID_Tuesday = 219,
    TextID_Wednesday = 220,
    TextID_Thursday = 221,
    TextID_Friday = 222,
    TextID_Saturday = 223,
    TextID_Sunday = 224,
    TextID_Battery_series = 225,
    TextID_Equal_charge_enable = 226,
    TextID_Temp_compensation = 227,
    TextID_Eql_chg_time_at_const_volt = 228,
    TextID__AH = 229,
    TextID__A = 230,
    TextID__V_cell = 231,
    TextID_0_hour = 232,
    TextID_1_hour = 233,
    TextID_2_hours = 234,
    TextID_3_hours = 235,
    TextID_4_hours = 236,
    TextID_5_hours = 237,
    TextID_6_hours = 238,
    TextID_Local_battery_total_AH = 239,
    TextID_Parallel_battery_total_AH = 240,
    TextID_Low_battery_time = 241,
    TextID_Dischg_protect_time = 242,
    TextID_Equal_chg_protect_time = 243,
    TextID_Equal_chg_volt = 244,
    TextID_Float_chg_volt = 245,
    TextID_End_of_dischg_volt = 246,
    TextID_Max_chg_curr = 247,
    TextID_Eql_to_flt_chg_curr = 248,
    TextID_Flt_to_eql_chg_curr = 249,
    TextID_Battery_replaced_time = 250,
    TextID_Battery_test_time = 251,
    TextID_Bluetooth_reset = 252,
    TextID_Language = 253,
    TextID_English = 254,
    TextID_Chinese = 255,
    TextID_Display_orientation = 256,
    TextID_Auto_rotate = 257,
    TextID_Horizontal = 258,
    TextID_Vertical = 259,
    TextID_Audible_alarm = 260,
    TextID_Serial_baudrate = 261,
    TextID_DB9_protoco = 262,
    TextID_Card_slot_protoco = 263,
    TextID_Control_port_protoco = 264,
    TextID_Modbus = 265,
    TextID_Sensor = 266,
    TextID_Modbus_address = 267,
    TextID_Bluetooth_ON_OFF = 268,
    TextID_Display_contrast = 269,
    TextID_Bluetooth_pairing_password = 270,
    TextID_Command_password = 271,
    TextID_Date = 272,
    TextID_Time = 273,
    TextID_Sync_parallel_parameters = 274,
    TextID_Voltage_selection = 275,
    TextID_Output_phase_No_ = 276,
    TextID_Startup_on_bypass = 277,
    TextID_Frequency_selection = 278,
    TextID_Inverter_sync_range = 279,
    TextID_Bypass_disable = 280,
    TextID_Bypass_voltage_upper_limit = 281,
    TextID_Bypass_voltage_lower_limit = 282,
    TextID_Bypass_frequency_range = 283,
    TextID_Run_mode = 284,
    TextID_Normal = 285,
    TextID_ECO_mode = 286,
    TextID_VI_mode = 287,
    TextID_ECO_voltage_range = 288,
    TextID_ECO_frequency_range = 289,
    TextID_ECO_requalification_time = 290,
    TextID_Transfer_time = 291,
    TextID_lt_20ms = 292,
    TextID_40ms = 293,
    TextID_60ms = 294,
    TextID_80ms = 295,
    TextID_100ms = 296,
    TextID_120ms = 297,
    TextID_200ms = 298,
    TextID_0_min = 299,
    TextID_1_min = 300,
    TextID_2_min = 301,
    TextID_3_min = 302,
    TextID_4_min = 303,
    TextID_5_min = 304,
    TextID_6_min = 305,
    TextID_7_min = 306,
    TextID_8_min = 307,
    TextID_9_min = 308,
    TextID_10_min = 309,
    TextID_11_min = 310,
    TextID_12_min = 311,
    TextID_13_min = 312,
    TextID_14_min = 313,
    TextID_15_min = 314,
    TextID_16_min = 315,
    TextID_17_min = 316,
    TextID_18_min = 317,
    TextID_19_min = 318,
    TextID_20_min = 319,
    TextID_21_min = 320,
    TextID_22_min = 321,
    TextID_23_min = 322,
    TextID_24_min = 323,
    TextID_25_min = 324,
    TextID_26_min = 325,
    TextID_27_min = 326,
    TextID_28_min = 327,
    TextID_29_min = 328,
    TextID_30_min = 329,
    TextID_AutoDetect = 330,
    TextID_100V = 331,
    TextID_110V = 332,
    TextID_115V = 333,
    TextID_120V = 334,
    TextID_125V = 335,
    TextID_200V = 336,
    TextID_208V = 337,
    TextID_220V = 338,
    TextID_230V = 339,
    TextID_240V = 340,
    TextID_100_173 = 341,
    TextID_100_173rvs = 342,
    TextID_100_200 = 343,
    TextID_110_190_5 = 344,
    TextID_110_190_5rvs = 345,
    TextID_110_220 = 346,
    TextID_115_199 = 347,
    TextID_115_199rvs = 348,
    TextID_115_230 = 349,
    TextID_120_208 = 350,
    TextID_120_208rvs = 351,
    TextID_120_240 = 352,
    TextID_125_216_5 = 353,
    TextID_125_216_5rvs = 354,
    TextID_125_250 = 355,
    TextID_50Hz = 356,
    TextID_60Hz = 357,
    TextID_Auto_BypassEnable = 358,
    TextID_Auto_BypassDisable = 359,
    TextID_50Hz_BypassDisable = 360,
    TextID_60Hz_BypassDisable = 361,
    TextID_PN0p5Hz = 362,
    TextID_PN1p0Hz = 363,
    TextID_PN2p0Hz = 364,
    TextID_PN3p0Hz = 365,
    TextID_PN4p0Hz = 366,
    TextID_PN5p0Hz = 367,
    TextID_P10percent = 368,
    TextID_P15percent = 369,
    TextID_P20percent = 370,
    TextID_N10percent = 371,
    TextID_N20percent = 372,
    TextID_N30percent = 373,
    TextID_N40percent = 374,
    TextID_P5percent = 375,
    TextID_N5percent = 376,
    TextID_PN5percent = 377,
    TextID_PN10percent = 378,
    TextID_PN15percent = 379,
    TextID_N15percent = 380,
    TextID_PN1Hz = 381,
    TextID_PN2Hz = 382,
    TextID_PN3Hz = 383,
    TextID_PN4Hz = 384,
    TextID_PN5Hz = 385,
    TextID_PN10Hz = 386,
    TextID_Para_redun_num = 387,
    TextID_Guaranteed_shutdown = 388,
    TextID_Battery_low_alarm = 389,
    TextID_Auto_restart = 390,
    TextID_Remote_comms_poweron = 391,
    TextID_Remote_comms_shutdown = 392,
    TextID_Redundant_num = 393,
    TextID_LBS_select = 394,
    TextID_IT_system_compatibility = 395,
    TextID_Dry_contact_Output_NO_NC = 396,
    TextID_NO = 397,
    TextID_NC = 398,
    TextID_Dry_contact_Input_NO_NC = 399,
    TextID_Dry_contact_1_Output = 400,
    TextID_Low_battery = 401,
    TextID_On_bypass = 402,
    TextID_Battery_mode_shutdown = 403,
    TextID_Any_mode_shutdown = 404,
    TextID_On_battery = 405,
    TextID_UPS_fault = 406,
    TextID_Dry_contact_2_Output = 407,
    TextID_Dry_contact_1_Input = 408,
    TextID_Maintain_mode = 409,
    TextID_External_Transformer = 410,
    TextID_Dry_contact_2_Input = 411,
    TextID_Auto_restart_delay = 412,
    TextID_Remote_shutdown_delay = 413,
    TextID_Remote_power_on_delay = 414,
    TextID_Remote_control = 415,
    TextID_Dry_contact_shutdown = 416,
    TextID_System = 417,
    TextID_Output = 418,
    TextID_Battery = 419,
    TextID_Outlet = 420,
    TextID_Outlet1 = 421,
    TextID_Outlet2 = 422,
    TextID_Outlet3 = 423,
    TextID_Outlet4 = 424,
    TextID_Monitor = 425,
    TextID_Parallel = 426,
    TextID_1200_bps = 427,
    TextID_2400_bps = 428,
    TextID_4800_bps = 429,
    TextID_9600_bps = 430,
    TextID_19200_bps = 431,
    TextID_YDN23 = 432,
    TextID_MODBUS = 433,
    TextID_Velocity = 434,
    TextID_Battery_status = 435,
    TextID_NoBattery = 436,
    TextID_FloatChg = 437,
    TextID_EqualChg = 438,
    TextID_Charge = 439,
    TextID_Discharge = 440,
    TextID_Full = 441,
    TextID_Idle = 442,
    TextID_SelfTest = 443,
    TextID_Battery_voltage_V = 444,
    TextID_Battery_current_A = 445,
    TextID_Backup_time_Minutes = 446,
    TextID_Remaining_capacity = 447,
    TextID_Battery_temp = 448,
    TextID_Battery_humidity = 449,
    TextID_Discharge_count = 450,
    TextID_Discharge_time_M = 451,
    TextID_Discharge_time_H = 452,
    TextID_L_N_voltage_V = 453,
    TextID_L_N_current_A = 454,
    TextID_Frequency_Hz = 455,
    TextID_L_L_voltage_V = 456,
    TextID_Sout_kVA = 457,
    TextID_Pout_kW = 458,
    TextID_CAP = 459,
    TextID_Load_percent = 460,
    TextID_Power_factor = 461,
    TextID_Crest_factor = 462,
    TextID_Energy_kWh = 463,
    TextID_Energy_MWh = 464,
    TextID_Redundant = 465,
    TextID_System_parallel_No_ = 466,
    TextID_No_UPS_installed = 467,
    TextID_Parallel_ID = 468,
    TextID_Mains = 469,
    TextID_Bypass = 470,
    TextID_Load = 471,
    TextID_Prev = 472,
    TextID_Next = 473,
    TextID_System_Language = 474,
    TextID_System_Date = 475,
    TextID_System_Time = 476,
    TextID_Output_voltage = 477,
    TextID_Output_frequency = 478,
    TextID_Finish = 479,
    TextID_Start_up_guidance = 480,
    TextID_Configuration_finished_ = 481,
    TextID_Please_disconnect_power = 482,
    TextID_Confirm_actual_connection_is = 483,
    TextID_Check_output__1_phase = 484,
    TextID_Check_output__3_phases = 485,
    TextID_Press_ENTER_to_start = 486,
    TextID_Thanks_for_using_Emerson_UPS_ = 487,
    TextID_Press_Enter_to_start = 488,
    TextID_Turn_on_outlet = 489,
    TextID_Turn_off_outlet = 490,
    TextID_Reboot_outlet = 491,
    TextID_Turn_on_delay = 492,
    TextID_Turn_off_when_UPS_overload_on_battery = 493,
    TextID_Turn_off_when_UPS_on_battery_for = 494,
    TextID_Turn_on_when_power_returns_for = 495,
    TextID_On_battery_control = 496,
    TextID_Backup_time_control = 497,
    TextID_Capacity_control = 498,
    TextID__DISABLE_ = 499,
    TextID__percent = 500,
    TextID_Turn_on_outlet_ = 501,
    TextID_Turn_off_outlet_ = 502,
    TextID_Reboot_outlet_ = 503,
    TextID_Operation_failed_ = 504,
    TextID_Apply_the_same_settings_as_Outlet1 = 505,
    TextID_PassWord = 506,
    TextID_Identify_code = 507,
    TextID_Incorrect_password_ = 508,
    TextID_Input = 509,
    TextID_Password_for_settings = 510,
    TextID_Password_for_service = 511,
    TextID_Password_for_maintenance = 512,
    TextID_Shared_battery = 513,
    TextID_Password_changed_OK_ = 514,
    TextID_Fail_to_change_password_ = 515,
    TextID_Please_try_again = 516,
    TextID_Input_new_password = 517,
    TextID_Confirm_new_password = 518,
    TextID_Change_settings_password = 519,
    TextID_Reset_default_password_ = 520,
    TextID_Updating_software_ = 521,
    TextID_The_time_cannot_be = 522,
    TextID_earlier_than_system_time_ = 523,
    TextID_Set_successfully = 524,
    TextID_Calibrate_system_time_ = 525,
    TextID_The_UPS_is_out_of_service = 526,
    TextID_Service_hotline_ = 527,
    TextID_Loading_log_ = 528,
    TextID_Turn_on_failed_ = 529,
    TextID_Powering_off_ = 530,
    TextID_Replace_battery = 531,
    TextID_This_will_reset_battery = 532,
    TextID_params__Continue_ = 533,
    TextID_Mode_type = 534,
    TextID_Sleep_mode = 535,
    TextID_Master_or_slave = 536,
    TextID_Parameter_changed_Take = 537,
    TextID_effect_next_powering_on = 538,
    TextID_Self_aging = 539,
    TextID_Manual_turn_on_failed = 540,
    TextID_Operation_succeeded = 541,
    TextID_DEUTSCH = 542,
    TextID_ITALIANO = 543,
    TextID_FRANCAIS = 544,
    TextID_CESTINA = 545,
    TextID_NEDERLANDS = 546,
    TextID_PORTUGUES = 547,
    TextID_SVENSKA = 548,
    TextID_TURKCE = 549,
    TextID_ESPANOL = 550,
    TextID_RUSSIA = 551,
    TextID_POLSKI = 552,
    TextID_JAPAN = 553,
    TextID_UPS_CommAddress = 554,
    TextID_Reset_MCU_Config = 555,
    TextID_MainAntiIrrigation = 556,
    TextID_BpssAntiIrrigation = 557,
    TextID_Cycle_Time = 558,
    TextID_Power_On_Weekday = 559,
    TextID_Power_Off_Weekday = 560,
    TextID_Start_With_No_Battery = 561,
    TextID_Plug_Mode = 562,
    TextID_Output_With_Transformer = 563,
    TextID_Excessive_Auto_Retransfers = 564,
    TextID__Times = 565,
    TextID_Control_Port = 566,
    TextID_Remote_Monitor = 567,
    TextID_Battery_test_enable = 568,
    TextID_battery_replace_note_time = 569,
    TextID__month = 570,
    TextID_Temp_compensation_factor = 571,
    TextID_Temp_compensation_center_point = 572,
    TextID_Battery_temperature_alarm_upper_limit = 573,
    TextID_Remote_auto_restart = 574,
    TextID_PleaseReplaceBattery = 575,
    TextID_BatteryAge = 576,
    TextID_Year = 577,
    TextID_100 = 578,
    TextID_Age_Percentage = 579,
    TextID_Reset_Power_Statistics = 580,
    TextID_Reset_Power_Statistics_ = 581,
    TextID_Replace_AirFilter = 582,
    TextID_Replace_AirFilter_ = 583,
    TextID_PleaseReplaceAirFilter = 584,
    TextID_AirFilter_Replace_interval = 585,
    TextID_AirFilter_Replace_Time = 586,
    TextID_2_weeks = 587,
    TextID_4_weeks = 588,
    TextID_10_weeks = 589,
    TextID_52_weeks = 590,
    TextID_1000_weeks = 591,
    TextID_Vol_Autodetect_Result = 592,
    TextID_Autodetect_Fail = 593,
    TextID_Set_Vol_Again = 594,
    TextID_Vol_NotConfrim = 595,
    TextID_TurnOnFail_ConfrimNow = 596,
    TextID_Input_black_count = 597,
    TextID_Input_brown_count = 598,
    TextID_76 = 599,
    TextID_80 = 600,
    TextID_84 = 601,
    TextID_86 = 602,
    TextID_88 = 603,
    TextID_90 = 604,
    TextID_91 = 605,
    TextID_92 = 606,
    TextID_93 = 607,
    TextID_94 = 608,
    TextID_95 = 609,
    TextID_96 = 610,
    TextID_97 = 611,
    TextID_98 = 612,
    TextID_99 = 613,
    TextID_time_conflict = 614,
    TextID_Battery_Runtime_day = 615,
    TextID_Battery_Avgtemp = 616,
    TextID_Battery_Hightemp = 617,
    TextID_Battery_Lowtemp = 618,
    TextID_Close_Switch = 619,
    TextID_Inverter_On = 620,
    TextID_Time_Year = 621,
    TextID_Efficiency_long = 622,
    TextID_Efficiency_short = 623,
    TextID_Capacity_long = 624,
    TextID_Capacity_short = 625,
    TextID_Capacity_percent = 626,
    TextID_Press_Enter_to_start_end = 627,
    TextID_Age_Percentage_Value = 628,
    TextID_Volt = 629,
    TextID_Curr = 630,
    TextID_WorkWith_GXT5TDU = 631,
    TextID_TrackMode = 632,
    TextID_NOT_TurnTo_Bypass = 633,
    TextID_TDU_OverTemp_Signal = 634,
    TextID_Load_long = 635,
    TextID_Number_of_battery = 636,
    TextID_Cabinets_is_now_zero = 637,
    TextID_Cabinets_is_now_one = 638,
    TextID_Cabinets_is_now_two = 639,
    TextID_Cabinets_is_now_three = 640,
    TextID_Cabinets_is_now_four = 641,
    TextID_Cabinets_is_now_five = 642,
    TextID_Cabinets_is_now_six = 643,
    TextID_Cabinets_is_now_seven = 644,
    TextID_Cabinets_is_now_eight = 645,
    TextID_WorkWith_OptionalPOD = 646,
    TextID_Shutdown_in_Progress = 647,
    TextID_Temperature_unit = 648,
    TextID_Fahrenheit = 649,
    TextID_Celsius = 650,
    TextID_Battery_temp_Fahrenheit = 651,
    TextID_Battery_Avgtemp_Fahrenheit = 652,
    TextID_Battery_Hightemp_Fahrenheit = 653,
    TextID_Battery_Lowtemp_Fahrenheit = 654,
    TextID_Open_Input_Bypass_Breaker = 655,
    TextID_To_Turn_Off_UPS_ = 656,
    TextID_To_Turn_Off_UPS = 657,
    TextID_Open_Input_Breaker = 658,
    TextID_Remove_Input_Power = 659,
    TextID_Turn_off_Output_ = 660,
    TextID_Turn_off_Output = 661,
    TextID_Battery_cold_protect = 662,
    TextID_Battery_aged_prewarn_time = 663,
    TextID_PreChg = 664,
    TextID_FastChg = 665,
    TextID_Lithium_Battery1 = 666,
    TextID_Lithium_Battery2 = 667,
    TextID_Lithium_Battery3 = 668,
    TextID_Lithium_Battery4 = 669,
    TextID_Lithium_Battery5 = 670,
    TextID_Lithium_Battery6 = 671,
    TextID_Lithium_Battery7 = 672,
    TextID_Lithium_Battery8 = 673,
    TextID_Lithium_Battery9 = 674,
    TextID_Lithium_Battery10 = 675,
    TextID_Lithium_Battery11 = 676,
    TextID_Lithium_Battery12 = 677,
    TextID_Lithium_Battery13 = 678,
    TextID_Lithium_Battery14 = 679,
    TextID_Lithium_Battery15 = 680,
    TextID_Lithium_Battery16 = 681,
    TextID_Lithium_Battery_MaxCellVol = 682,
    TextID_Lithium_Battery_MinCellVol = 683,
    TextID_Lithium_Battery_Mode_Choose = 684,
    TextID_Long_Life = 685,
    TextID_Function_Full = 686,
    TextID_Force_Battery_Wake_Up = 687,
    TextID_Are_you_sure_to_Force_Battery_Wake_Up = 688,
    TextID_Are_you_sure_to_Force_Battery_Wake_Up2 = 689,
    TextID_BMS_Version = 690,
    TextID_BMS_SN = 691,
    TextID_BMS = 692,
    TextID_Lithium_Battery_Balance = 693,
    TextID_Battery1_Status = 694,
    TextID_Battery1_SOC = 695,
    TextID_Battery1_SOH = 696,
    TextID_Battery2_Status = 697,
    TextID_Battery2_SOC = 698,
    TextID_Battery2_SOH = 699,
    TextID_Battery3_Status = 700,
    TextID_Battery3_SOC = 701,
    TextID_Battery3_SOH = 702,
    TextID_Battery4_Status = 703,
    TextID_Battery4_SOC = 704,
    TextID_Battery4_SOH = 705,
    TextID_Battery5_Status = 706,
    TextID_Battery5_SOC = 707,
    TextID_Battery5_SOH = 708,
    TextID_Battery6_Status = 709,
    TextID_Battery6_SOC = 710,
    TextID_Battery6_SOH = 711,
    TextID_Battery7_Status = 712,
    TextID_Battery7_SOC = 713,
    TextID_Battery7_SOH = 714,
    TextID_Battery8_Status = 715,
    TextID_Battery8_SOC = 716,
    TextID_Battery8_SOH = 717,
    TextID_Battery9_Status = 718,
    TextID_Battery9_SOC = 719,
    TextID_Battery9_SOH = 720,
    TextID_Battery10_Status = 721,
    TextID_Battery10_SOC = 722,
    TextID_Battery10_SOH = 723,
    TextID_Battery11_Status = 724,
    TextID_Battery11_SOC = 725,
    TextID_Battery11_SOH = 726,
    TextID_Battery12_Status = 727,
    TextID_Battery12_SOC = 728,
    TextID_Battery12_SOH = 729,
    TextID_Battery13_Status = 730,
    TextID_Battery13_SOC = 731,
    TextID_Battery13_SOH = 732,
    TextID_Battery14_Status = 733,
    TextID_Battery14_SOC = 734,
    TextID_Battery14_SOH = 735,
    TextID_Battery15_Status = 736,
    TextID_Battery15_SOC = 737,
    TextID_Battery15_SOH = 738,
    TextID_Battery16_Status = 739,
    TextID_Battery16_SOC = 740,
    TextID_Battery16_SOH = 741,
    TextID_Dry_contact_1_OutputLi = 742,
    TextID_Dry_contact_2_OutputLi = 743,
    TextID_Start_battery_cable_test = 744,
    TextID_Start_battery_cable_test_ = 745,
    TextID_Active_Circulating_current = 746,
    TextID_Reactive_Circulating_current = 747,
    TextID_Theta_Reference = 748,

}TextID_t;


#define TEXT_ID_TO_WSTR(TextID)      DrawProp.TextTable[TextID]
//------------------------------------------------------------------------------
extern const wchar_t const *g_English_TextTable [];
extern const wchar_t const *g_Chinese_TextTable [];
extern const wchar_t const *g_German_TextTable [];
extern const wchar_t const *g_French_TextTable [];
extern const wchar_t const *g_Portuguese_TextTable [];
extern const wchar_t const *g_Spanish_TextTable [];
extern const wchar_t const *g_Russian_TextTable [];
extern const wchar_t const *g_Japanese_TextTable [];
extern const wchar_t const *g_Italian_TextTable [];
extern const wchar_t const *g_Czech_TextTable [];
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
#endif // #ifndef __TEXTIDS_H__